What is a Data Source? A Data Source is an object that links all of your translated content together for a given language. It allows the LILT system to reference all of your previous translations, TMX files and Termbases(TB) to provide you with the most accurate translation possible.Things you will need:
API Key - All requests through the LILT API use the API Key to authenticate.
(Optional) TMX File - TMX files contain sentence to sentence translations and serve as a basis for translating content, these files aren’t necessary but can produce better Instant Translate results for your documents depending on the quality of the data provided.
(Optional) TB File - Your business likely has specific product names, advertising terminology, and other words that you may or may not want translated. Adding a TB (Termbase) file to the Data Source creates a managed way to translate certain words/phrases for your business.
Note:Data Sources can also be referred to as Memories. Anywhere in the docs that mentions a memoryId or /memories endpoint is referring to a Data Source.
Creating a Data Source with LILT is a straight-forward process. For this example we will create a Data Source in English to German using Locales. If you want to try a different language, a list of supported languages and how to access them is available in the Quick Start Guide. Here is an example API call to create a Data Source plus the Request body. See the API docs for more info
curl -u API_KEY:API_KEY -X POST https://api.lilt.com/v2/memories \ --header "Content-Type: application/json" \ --data '{"name": "Test Data Source","srclang": "en","trglang": "de","srclocale": "US","trglocale": "DE"}'
Once the call is made you should expect to see a response that looks something like this:
A Data Source is only as useful as the data stored within. LILT uses memories as a way to keep track of your organizations content in a language pair format. Adding data to an empty Data Source is a typical first step when onboarding to LILT. If your organization has done localization in the past, chances are that you have a tmx file/tb file that needs to be added to your Data Source to ensure that your historical data is taken into consideration by the LILT Transformative AI. For this example we will upload a tmx file called “test.tmx” using the import file endpoint
This should elicit a 200 response that looks something like this:
{ "id": 123, "isProcessing": 1}
This response means is that the request was registered successfully and your file is being processed by LILT into Segments which will become part of the Data Source. This process is asynchronous and can be verified using the memories endpoint:
curl -u API_KEY:API_KEY -X GET https://api.lilt.com/v2/memories?id=1234\
This request will give you a response similar to the creation logic, with the key difference of seeing the new resource in the resources list.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"LILT","colors":{"primary":"#0B1C56","light":"#28AE97","dark":"#28AE97"},"logo":{"light":"https://mintcdn.com/lilt-db26f913/UHeYNg6Mxux_MnCF/logo-dark.png?fit=max\u0026auto=format\u0026n=UHeYNg6Mxux_MnCF\u0026q=85\u0026s=ccd8915cfa0f94ab3acc0cd47519228b","dark":"https://mintcdn.com/lilt-db26f913/UHeYNg6Mxux_MnCF/logo-light.png?fit=max\u0026auto=format\u0026n=UHeYNg6Mxux_MnCF\u0026q=85\u0026s=6f87adfc249940e51b8f92f1b9b971dd"},"favicon":"https://mintcdn.com/lilt-db26f913/KxQB3_Ey1ahDkiRO/favicon.png?fit=max\u0026auto=format\u0026n=KxQB3_Ey1ahDkiRO\u0026q=85\u0026s=035f22384895e64a7088c628d48c4be2","background":{"color":{"dark":"#081A28"}},"navbar":{"links":[{"href":"https://lilt.atlassian.net/servicedesk/customer/portals","label":"Help Desk"}],"primary":{"type":"button","label":"Book a Demo","href":"https://lilt.com/contact"}},"footer":{"socials":{"github":"https://github.com/lilt","linkedin":"https://www.linkedin.com/company/lilthq","x":"https://x.com/LiltHQ","youtube":"https://www.youtube.com/@lilthq"}},"fonts":{"heading":{"family":"Basis Grotesque Pro","source":"https://mintlify-assets.b-cdn.net/BasisGrotesquePro.woff2","format":"woff2"},"body":{"family":"Basis Grotesque Pro","source":"https://mintlify-assets.b-cdn.net/BasisGrotesquePro.woff2","format":"woff2"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"AI Research","icon":"books","href":"https://lilt.com/ai-research"},{"anchor":"Blog","icon":"book-open-cover","href":"https://lilt.com/blog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"lilt-db26f913","hasAudioNarration":false,"actualSubdomain":"lilt-db26f913","customDomains":["support.lilt.com"],"gitSource":{"type":"github","owner":"lilt","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aeb2b6c385381993c300f0a","clientVersion":"0.0.4088","searchFilterCounts":[{"language":"default","tag":"API Reference","count":153},{"language":"default","tag":"Documentation","count":146},{"language":"default","tag":"Self-Managed","count":119},{"language":"default","tag":"System Administration","count":55},{"language":"default","tag":"Connect","count":49},{"language":"default","tag":"System Use","count":49},{"language":"default","tag":"Connectors","count":46},{"language":"default","tag":"Manage","count":31},{"language":"default","tag":"Verify","count":27},{"language":"default","tag":"System Configuration","count":27}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"globals.css","content":"@custom-variant dark (\u0026:is(.dark *));@theme{--color-primary: #2abfa3;--color-tertiary: #ad83fc;--color-dark: #081a28;--color-smoke: #a8acb5;--color-dark-smoke: #73767c;--color-transparent: rgba(0, 0, 0, 0);--text-xs: 12px;--text-sm: 14px;--text-base: 16px;--text-lg: 19.2px;--text-xl: 23px;--text-2xl: 27.6px;--text-3xl: 33.2px;--text-4xl: 39.8px;--text-5xl: 47.8px;--text-6xl: 57.3px;--font-sans:\n \"Basis Grotesque Pro\", -apple-system, BlinkMacSystemFont, \"Segoe UI\",\n Roboto, \"Helvetica Neue\", Arial, sans-serif;--screen-sm: 640px;--screen-md: 768px;--screen-lg: 1024px;--screen-xl: 1280px;--screen-2xl: 1536px}html,body{background:var(--background);color:var(--foreground);font-family:var(--font-sans);font-size:1rem;line-height:1.5}::-webkit-scrollbar{width:8px}::-webkit-scrollbar-track{background:rgba(8, 26, 40, 0.5)}::-webkit-scrollbar-thumb{background:rgba(168, 172, 181, 0.3);border-radius:4px}::-webkit-scrollbar-thumb:hover{background:rgba(168, 172, 181, 0.5)}.default-px{padding-left:20px;padding-right:20px}.default-py{padding-top:56px;padding-bottom:56px}@media (min-width: 768px){.default-px{padding-left:40px;padding-right:40px}.default-py{padding-top:88px;padding-bottom:88px}}@media (min-width: 1024px){.default-px{padding-left:60px;padding-right:60px}.default-py{padding-top:88px;padding-bottom:88px}}.font-inter{font-family:'Inter', sans-serif}.btn-primary{padding-left:1.25rem;padding-right:1.25rem;padding-top:0.75rem;padding-bottom:0.75rem;background-color:var(--color-primary);color:var(--color-dark);border-radius:9999px;font-weight:500;transition:background-color 0.2s;cursor:pointer}.btn-primary:hover{background-color:rgba(42, 191, 163, 0.8)}.btn-secondary{padding-left:1.25rem;padding-right:1.25rem;padding-top:0.75rem;padding-bottom:0.75rem;background-color:white;color:var(--color-dark);border-radius:9999px;font-weight:500;transition:background-color 0.2s;cursor:pointer}.btn-secondary:hover{background-color:rgba(255, 255, 255, 0.8)}.blog-rich-text{blockquote {\n margin-bottom: 16px;\n border-left: 3px solid #2abfa3;\n padding-left: 8px;\n font-size: 23px;\n font-weight: 500;\n }\n h1,\n h2,\n h3,\n h4,\n h5,\n h6 {\n font-weight: 700;\n line-height: 1.25;\n margin: 48px 0 12px 0;\n }\n h1 {\n font-size: 39.8px;\n }\n h2 {\n font-size: 33.2px;\n }\n h3 {\n font-size: 27.6px;\n }\n h4 {\n font-size: 23.02px;\n }\n img {\n margin: 0 auto 16px;\n width: 100%;\n }\n ul {\n margin-bottom: 16px;\n font-size: 16px;\n list-style-type: disc;\n list-style-position: inside;\n display: flex;\n flex-direction: column;\n gap: 16px;\n }\n\n ul li:nth-child(1) {\n margin-top: 12px;\n }\n\n ul li li {\n list-style: circle;\n list-style-position: inside;\n }\n\n ol {\n margin-bottom: 16px;\n font-size: 16px;\n list-style-type: decimal;\n list-style-position: inside;\n display: flex;\n flex-direction: column;\n gap: 8px;\n }\n li {\n padding-left: 0.5em;\n text-indent: -0.5em;\n }\n a {\n font-weight: 700;\n color: rgb(28, 135, 201);\n text-decoration: underline;\n }\n a:hover {\n text-decoration: none;\n }\n p {\n font-size: 16px;\n margin-bottom: 20px;\n }\n iframe {\n width: 100%;\n margin-bottom: 24px;\n }}#hubspot-form-container{form {\n width: 100%;\n display: flex;\n flex-direction: column;\n gap: 24px;\n }\n label {\n font-size: 16px;\n color: #c6c9cd;\n }\n input {\n background-color: #0f273a;\n border: 1px solid rgba(255, 255, 255, 0.15);\n width: 100%;\n border-radius: 4px;\n padding: 16px 8px;\n color: white;\n }\n input:focus {\n border: 1px solid #2abfa3;\n outline: none;\n }\n input[type=\"submit\"] {\n font-size: 17px;\n font-weight: 600;\n padding-left: 1.25rem; /* px-5 */\n padding-right: 1.25rem;\n padding-top: 0.75rem; /* py-2 */\n padding-bottom: 0.75rem;\n background-color: var(--color-primary);\n color: var(--color-dark);\n border-radius: 9999px; /* rounded-full */\n font-weight: 500;\n transition: background-color 0.2s;\n cursor: pointer;\n }\n\n .submitted-message p span {\n color: white !important;\n font-size: 19.2px;\n text-align: center;\n }\n .submitted-message a {\n color: rgba(42, 191, 163, 0.8);\n font-size: 19.2px;\n }}#global-growth-form{width:100%;padding-right:0;color:#081A28;label {\n font-size: 14px;\n font-weight: 500;\n margin-bottom: 4px;\n }\n input[type=\"text\"], input[type=\"email\"] {\n border: 1px solid #CAD0D3;\n border-radius: 4px;\n font-size: 14px;\n padding: 8px;\n width: 100%;\n }\n\n .form-columns-2 {\n margin-bottom: 20px;\n display: flex;\n gap: 20px;\n }\n\n .hs-error-msgs {\n color: red;\n }\n\n .hs_email {\n margin-bottom: 20px;\n }\n\n .legal-consent-container {\n display: flex;\n flex-direction: column;\n gap: 10px;\n font-weight: 500;\n font-size: 14px;\n margin-bottom: 32px;\n }\n\n input[type=\"submit\"] {\n text-align: center;\n background-color: #2ABFA3;\n width: 100%;\n padding: 14px;\n border-radius: 100px;\n font-size: 19.2px;\n font-weight: 500;\n cursor: pointer;\n }}@theme inline{--radius-sm: calc(var(--radius) - 4px);--radius-md: calc(var(--radius) - 2px);--radius-lg: var(--radius);--radius-xl: calc(var(--radius) + 4px);--color-background: var(--background);--color-foreground: var(--foreground);--color-card: var(--card);--color-card-foreground: var(--card-foreground);--color-popover: var(--popover);--color-popover-foreground: var(--popover-foreground);--color-primary: var(--primary);--color-primary-foreground: var(--primary-foreground);--color-secondary: var(--secondary);--color-secondary-foreground: var(--secondary-foreground);--color-muted: var(--muted);--color-muted-foreground: var(--muted-foreground);--color-accent: var(--accent);--color-accent-foreground: var(--accent-foreground);--color-destructive: var(--destructive);--color-border: var(--border);--color-input: var(--input);--color-ring: var(--ring);--color-chart-1: var(--chart-1);--color-chart-2: var(--chart-2);--color-chart-3: var(--chart-3);--color-chart-4: var(--chart-4);--color-chart-5: var(--chart-5);--color-sidebar: var(--sidebar);--color-sidebar-foreground: var(--sidebar-foreground);--color-sidebar-primary: var(--sidebar-primary);--color-sidebar-primary-foreground: var(--sidebar-primary-foreground);--color-sidebar-accent: var(--sidebar-accent);--color-sidebar-accent-foreground: var(--sidebar-accent-foreground);--color-sidebar-border: var(--sidebar-border);--color-sidebar-ring: var(--sidebar-ring)}:root{--radius: 0.625rem;--background: #ffffff;--foreground: #081a28;--card: #ffffff;--card-foreground: #081a28;--popover: #ffffff;--popover-foreground: #081a28;--primary: #2abfa3;--primary-foreground: #081a28;--secondary: #f5f5f5;--secondary-foreground: #081a28;--muted: #f5f5f5;--muted-foreground: #73767c;--accent: #f5f5f5;--accent-foreground: #081a28;--destructive: #ef4444;--border: #e5e5e5;--input: #e5e5e5;--ring: #2abfa3;--chart-1: #2abfa3;--chart-2: #ad83fc;--chart-3: #06b6d4;--chart-4: #8b5cf6;--chart-5: #3b82f6;--sidebar: #ffffff;--sidebar-foreground: #081a28;--sidebar-primary: #2abfa3;--sidebar-primary-foreground: #081a28;--sidebar-accent: #f5f5f5;--sidebar-accent-foreground: #081a28;--sidebar-border: #e5e5e5;--sidebar-ring: #2abfa3;--purple-500: #3529be}.dark{--radius: 0.625rem;--background: #081a28;--foreground: #ffffff;--card: #0f273a;--card-foreground: #ffffff;--popover: #081a28;--popover-foreground: #ffffff;--primary: #2abfa3;--primary-foreground: #081a28;--secondary: #0f273a;--secondary-foreground: #ffffff;--muted: #0f273a;--muted-foreground: #a8acb5;--accent: #0f273a;--accent-foreground: #ffffff;--destructive: #ef4444;--border: #2a4255;--input: #2a4255;--ring: #2abfa3;--chart-1: #2abfa3;--chart-2: #ad83fc;--chart-3: #06b6d4;--chart-4: #8b5cf6;--chart-5: #3b82f6;--sidebar: #081a28;--sidebar-foreground: #ffffff;--sidebar-primary: #2abfa3;--sidebar-primary-foreground: #081a28;--sidebar-accent: #0f273a;--sidebar-accent-foreground: #ffffff;--sidebar-border: #2a4255;--sidebar-ring: #2abfa3}@layer base{*{@apply border-border outline-ring/50;}}.dark .text-primary-light{color:#ffffff}.card{position:relative;z-index:10;transition:transform 0.2s ease-in-out;border:1px solid var(--border)}.card:hover{transform:scale(1.05)}.dark .card{background:linear-gradient(to left bottom in oklab, rgb(14, 46, 72) 0px, rgb(10, 33, 50) 100%);border-color:rgba(255,255,255,.1)}.card .dark\\:bg-primary-light{background-color:var(--primary)!important;color:var(--primary)!important;fill:var(--primary)!important}.card [class*=\"bg-primary-light\"]{background-color:var(--primary)!important;color:var(--primary)!important;fill:var(--primary)!important}p{font-weight:500}*{font-weight:var(--font-weight-medium)}h1,h2,h3,h4,h5,h6{font-weight:var(--font-weight-bold)}.content a:not(.card),.prose a:not(.card),[data-content] a:not(.card){border-bottom:1px dashed color-mix(in srgb, var(--purple-500) 50%, transparent)}.dark .content a:not(.card),.dark .prose a:not(.card),.dark [data-content] a:not(.card){border-bottom:1px dashed color-mix(in srgb, white 80%, transparent)}nav a,.nav a,button a,.btn a,a[role=\"button\"],a[class*=\"btn\"],a[class*=\"nav\"]{border-bottom:none}.triangle-bg{position:fixed;bottom:0;right:0;height:80vh;width:auto;pointer-events:none;z-index:0}@media (max-width: 1024px){.triangle-bg{height:70vh}}@media (max-width: 768px){.triangle-bg{display:none}}"},{"filePath":"style.css","content":"@font-face{font-family:'BasisGrotesquePro';src:url('/fonts/BasisGrotesquePro.woff2') format('woff2'),\n url('/fonts/BasisGrotesquePro.woff') format('woff'),\n url('/fonts/BasisGrotesquePro.otf') format('opentype');font-weight:normal;font-style:normal;font-display:swap}@font-face{font-family:'BasisGrotesquePro';src:url('/fonts/BasisGrotesquePro-Bold.woff2') format('woff2'),\n url('/fonts/BasisGrotesquePro-Bold.woff') format('woff'),\n url('/fonts/BasisGrotesquePro-Bold.otf') format('opentype');font-weight:bold;font-style:normal;font-display:swap}@font-face{font-family:'BasisGrotesquePro';src:url('/fonts/BasisGrotesquePro-Italic.woff2') format('woff2'),\n url('/fonts/BasisGrotesquePro-Italic.woff') format('woff'),\n url('/fonts/BasisGrotesquePro-Italic.otf') format('opentype');font-weight:normal;font-style:italic;font-display:swap}:root{--font-family-base: 'BasisGrotesquePro', -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen', 'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif}body,html{font-family:var(--font-family-base)!important}h1,h2,h3,h4,h5,h6{font-family:var(--font-family-base)!important;background:linear-gradient(rgb(53, 41, 190), rgb(7, 27, 90));background-clip:text;-webkit-background-clip:text;-webkit-text-fill-color:transparent;color:transparent}.dark h1,.dark h2,.dark h3,.dark h4,.dark h5,.dark h6{background:none;-webkit-background-clip:unset;-webkit-text-fill-color:unset;color:inherit}[data-theme=\"dark\"] .card{background:linear-gradient(to left bottom in oklab, rgb(14, 46, 72) 0px, rgb(10, 33, 50) 100%);border-color:color-mix(in oklab,var(--color-white) 10%,transparent)}table code{white-space:nowrap}[data-component-part=\"version-select-trigger\"]{border:1.5px solid #28AE97;background-color:rgba(40, 174, 151, 0.10);font-weight:600}[data-component-part=\"version-select-trigger\"]::before{content:\"Version:\";font-weight:400;opacity:0.75}"}],"page":{"pagePath":"developers/guides/manage-content/create-a-datasource","slug":"/developers/guides/manage-content/create-a-datasource","pageMetadata":{"title":"Create A Data Source","description":null,"href":"/developers/guides/manage-content/create-a-datasource"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading,Info}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Info)_missingMdxReference(`Info`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`What is a Data Source? A Data Source is an object that links all of your translated content together for a given language. It allows the LILT system to reference all of your previous translations, TMX files and Termbases(TB) to provide you with the most accurate translation possible.`}),`\n`,_jsx(_components.p,{children:`Things you will need:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`API Key - All requests through the LILT API use the API Key to authenticate.`}),`\n`,_jsx(_components.li,{children:`(Optional) TMX File - TMX files contain sentence to sentence translations and serve as a basis for translating content, these files aren’t necessary but can produce better Instant Translate results for your documents depending on the quality of the data provided.`}),`\n`,_jsx(_components.li,{children:`(Optional) TB File - Your business likely has specific product names, advertising terminology, and other words that you may or may not want translated. Adding a TB (Termbase) file to the Data Source creates a managed way to translate certain words/phrases for your business.`}),`\n`]}),`\n`,_jsxs(Info,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Note:`})}),_jsxs(_components.p,{children:[`Data Sources can also be referred to as Memories. Anywhere in the docs that mentions a `,_jsx(_components.code,{children:`memoryId`}),` or `,_jsx(_components.code,{children:`/memories`}),` endpoint is referring to a Data Source.`]})]}),`\n`,_jsx(Heading,{level:`2`,id:`create-a-data-source`,children:`Create a Data Source`}),`\n`,_jsxs(_components.p,{children:[`Creating a Data Source with LILT is a straight-forward process. For this example we will create a Data Source in English to German using Locales. If you want to try a different language, a list of supported languages and how to access them is available in the `,_jsx(_components.a,{href:`/developers/quickstart`,children:`Quick Start Guide`}),`. Here is an example API call to create a Data Source plus the Request body. `,_jsx(_components.a,{href:`/api-reference/memories/create-a-memory`,children:`See the API docs for more info`})]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`3`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`3`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -u`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` API_KEY:API_KEY`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.lilt.com/v2/memories`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --data`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{\"name\": \"Test Data Source\",\"srclang\": \"en\",\"trglang\": \"de\",\"srclocale\": \"US\",\"trglocale\": \"DE\"}'`})]}),`\n`]})})}),`\n`,_jsx(_components.p,{children:`Once the call is made you should expect to see a response that looks something like this:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`13`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`13`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1234`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"srclang\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"en\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"trglang\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"de\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"srclocale\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"US\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"trglocale\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"DE\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Test Data Source\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_processing\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"version\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`78`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1489147692`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1489147692`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"resources\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(_components.p,{children:`Congratulations, you have successfully created a Data Source.`}),`\n`,_jsx(Heading,{level:`2`,id:`add-a-tmx-file/tb-file-to-your-data-source`,children:`Add a TMX file/TB file to your Data Source`}),`\n`,_jsxs(_components.p,{children:[`A Data Source is only as useful as the data stored within. LILT uses memories as a way to keep track of your organizations content in a language pair format. Adding data to an empty Data Source is a typical first step when onboarding to LILT. If your organization has done localization in the past, chances are that you have a tmx file/tb file that needs to be added to your Data Source to ensure that your historical data is taken into consideration by the LILT Transformative AI. For this example we will upload a tmx file called “test.tmx” using the `,_jsx(_components.a,{href:`/api-reference/memories/file-import-for-a-memory`,children:`import file endpoint`})]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`4`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`4`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:` curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -u`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` API_KEY:API_KEY`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.lilt.com/v2/memories/import`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"LILT-API: {`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`name`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`: `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`test.tmx`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`,`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`memory_id`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`: 1234}\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/octet-stream\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --data-binary`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` @test.tmx`})]}),`\n`]})})}),`\n`,_jsx(_components.p,{children:`This should elicit a 200 response that looks something like this:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`4`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`123`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"isProcessing\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsxs(_components.p,{children:[`This response means is that the request was registered successfully and your file is being processed by LILT into Segments which will become part of the Data Source. This process is asynchronous and can be verified using the `,_jsx(_components.a,{href:`/api-reference/memories/retrieve-a-memory`,children:`memories endpoint`}),`:`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`1`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`1`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -u`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` API_KEY:API_KEY`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` GET`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.lilt.com/v2/memories?id=`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1234`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\`})]}),`\n`]})})}),`\n`,_jsx(_components.p,{children:`This request will give you a response similar to the creation logic, with the key difference of seeing the new resource in the resources list.`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`13`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`13`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1234`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"srclang\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"en\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"trglang\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"de\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"srclocale\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"US\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"trglocale\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"DE\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Test Data Source\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_processing\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"version\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`78`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1489147692`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1489147692`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"resources\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"test.tmx\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create A Data Source","description":null,"href":"/developers/guides/manage-content/create-a-datasource"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Create a Data Source","slug":"create-a-data-source","depth":2,"children":[]},{"title":"Add a TMX file/TB file to your Data Source","slug":"add-a-tmx-file/tb-file-to-your-data-source","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"lilt-db26f913","siteName":"LILT","title":"Create A Data Source - LILT","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-04T12:56:33.436Z","originalFileLocation":"developers/guides/manage-content/create-a-datasource.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"LILT\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/lilt-db26f913/kcX7srqayMXLed0E/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/lilt-db26f913/kcX7srqayMXLed0E/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/lilt-db26f913/kcX7srqayMXLed0E/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/lilt-db26f913/kcX7srqayMXLed0E/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/lilt-db26f913/kcX7srqayMXLed0E/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/lilt-db26f913/kcX7srqayMXLed0E/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/lilt-db26f913/kcX7srqayMXLed0E/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/lilt-db26f913/kcX7srqayMXLed0E/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/lilt-db26f913/kcX7srqayMXLed0E/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create A Data Source - LILT\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"LILT\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://support.lilt.com/developers/guides/manage-content/create-a-datasource\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://lilt-db26f913.mintlify.site/_mintlify/api/og/v2?division=Manage+Content\u0026amp;title=Create+A+Data+Source\u0026amp;theme=83ae01c2301f9e1a58801756\u0026amp;signature=a224caa9ddb8fd6de34fbed6d4d536594e7d462753c82f866d3b091d3a551dda\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create A Data Source - LILT\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://lilt-db26f913.mintlify.site/_mintlify/api/og/v2?division=Manage+Content\u0026amp;title=Create+A+Data+Source\u0026amp;theme=83ae01c2301f9e1a58801756\u0026amp;signature=a224caa9ddb8fd6de34fbed6d4d536594e7d462753c82f866d3b091d3a551dda\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/lilt-db26f913/kcX7srqayMXLed0E/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"LILT\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0B1C56\">\u003clink data-mint-head rel=\"canonical\" href=\"https://support.lilt.com/developers/guides/manage-content/create-a-datasource\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/developers/guides/manage-content/create-a-datasource.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://support.lilt.com/#organization\",\"name\":\"LILT\",\"url\":\"https://support.lilt.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/lilt-db26f913/UHeYNg6Mxux_MnCF/logo-dark.png?fit=max\u0026auto=format\u0026n=UHeYNg6Mxux_MnCF\u0026q=85\u0026s=ccd8915cfa0f94ab3acc0cd47519228b\"}},{\"@type\":\"WebSite\",\"@id\":\"https://support.lilt.com#website\",\"name\":\"LILT\",\"url\":\"https://support.lilt.com\",\"publisher\":{\"@id\":\"https://support.lilt.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://support.lilt.com/developers/guides/manage-content/create-a-datasource#webpage\",\"url\":\"https://support.lilt.com/developers/guides/manage-content/create-a-datasource\",\"name\":\"Create A Data Source\",\"dateModified\":\"2026-11-04T12:56:33.436Z\",\"isPartOf\":{\"@id\":\"https://support.lilt.com#website\"},\"breadcrumb\":{\"@id\":\"https://support.lilt.com/developers/guides/manage-content/create-a-datasource#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://support.lilt.com/developers/guides/manage-content/create-a-datasource#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Docs\",\"item\":\"https://support.lilt.com/developers/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Guides\",\"item\":\"https://support.lilt.com/developers/guides/create-new-content\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create A Data Source\",\"item\":\"https://support.lilt.com/developers/guides/manage-content/create-a-datasource\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://support.lilt.com/developers/guides/manage-content/create-a-datasource#article\",\"headline\":\"Create A Data Source\",\"name\":\"Create A Data Source\",\"url\":\"https://support.lilt.com/developers/guides/manage-content/create-a-datasource\",\"mainEntityOfPage\":{\"@id\":\"https://support.lilt.com/developers/guides/manage-content/create-a-datasource#webpage\"},\"dateModified\":\"2026-11-04T12:56:33.436Z\",\"publisher\":{\"@id\":\"https://support.lilt.com/#organization\"},\"isPartOf\":{\"@id\":\"https://support.lilt.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"LILT\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"LILT","nav":{"global":{"anchors":[{"anchor":"AI Research","icon":"books","href":"https://lilt.com/ai-research"},{"anchor":"Blog","icon":"book-open-cover","href":"https://lilt.com/blog"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/kb/what-is-lilt"}]},{"tab":"Self-Managed","versions":[{"version":"v6.1 (latest)","groups":[{"group":" ","pages":[{"group":"Overview","pages":[{"title":"System Architecture","href":"/self-managed/v6.1/lilt-system-architecture"},{"title":"Self-Managed Features","href":"/self-managed/v6.1/self-managed-features"},{"title":"Disk Space Requirements","href":"/self-managed/v6.1/disk-space-requirements"},{"title":"Infrastructure Release Notes","href":"/self-managed/v6.1/infrastructure-release-notes"},{"group":"Release Notes","pages":[{"title":"LILT 5.3 Release Notes","href":"/self-managed/v6.1/5.3.0ReleaseNotes"},{"title":"LILT 5.2 Release Notes","href":"/self-managed/v6.1/2025Q2ReleaseNotes"},{"title":"LILT 5.1 Release Notes","href":"/self-managed/v6.1/2025-q1-lilt-5-1-0-release-notes"},{"title":"2025 LILT February Patch Release Notes","href":"/self-managed/v6.1/february-2025-patch-release-notes"},{"title":"2024 Q4 Release Notes","href":"/self-managed/v6.1/2024-q4-release-what-s-new-in-the-lilt-platform"}]}]},{"group":"System Administration","pages":[{"group":"Installation and Upgrade","pages":[{"title":"Upgrade LILT","href":"/self-managed/v6.1/upgrade-system"},{"title":"Move The System Offline","href":"/self-managed/v6.1/move-the-system-offline"},{"title":"Create Backup","href":"/self-managed/v6.1/create-backup"},{"title":"Restore From Backup","href":"/self-managed/v6.1/restore-from-backup"},{"title":"Instructions To Delete Container Images","href":"/self-managed/v6.1/instructions-to-delete-container-images"},{"title":"Access To MongoDB","href":"/self-managed/v6.1/access-to-mongodb"},{"title":"Install K8S In Offline Environment (Rocky 8)","href":"/self-managed/v6.1/install-k8s-in-offline-environment-rocky-8"},{"title":"Upgrade NVIDIA/CUDA Drivers","href":"/self-managed/v6.1/upgrade-nvidia-cuda-drivers"},{"title":"Upgrade Kubernetes","href":"/self-managed/v6.1/upgrade-kubernetes"},{"title":"Upgrade Kubernetes (AWS EKS)","href":"/self-managed/v6.1/upgrade-kubernetes-aws-eks"},{"title":"Upgrade Third Party Applications","href":"/self-managed/v6.1/upgrade-third-party-applications"},{"title":"Upgrade Elasticsearch Across Major Versions","href":"/self-managed/v6.1/upgrade-elasticsearch"},{"title":"Back Up and Restore Elasticsearch","href":"/self-managed/v6.1/backup-and-restore-elasticsearch"},{"title":"Upgrade Qdrant","href":"/self-managed/v6.1/upgrade-qdrant"},{"title":"Install Package","href":"/self-managed/v6.1/install-package"},{"title":"Install System (AWS EKS)","href":"/self-managed/v6.1/install-system-aws-eks"},{"title":"Provision AWS Infrastructure with Terraform","href":"/self-managed/v6.1/install-aws-terraform-module"},{"title":"Install on an Existing EKS Cluster","href":"/self-managed/v6.1/install-aws-existing-cluster"},{"title":"Install from a Bastion","href":"/self-managed/v6.1/install-from-a-bastion"},{"title":"GPU Profiles And Values Overlays","href":"/self-managed/v6.1/gpu-profiles-and-values-overlays"},{"title":"Secrets And Vault","href":"/self-managed/v6.1/secrets-and-vault"},{"title":"install.env Reference","href":"/self-managed/v6.1/install-env-reference"},{"title":"Migrate Object Storage (MinIO to S3)","href":"/self-managed/v6.1/migrate-object-storage-minio-to-s3"},{"title":"Rename the Object Storage Bucket","href":"/self-managed/v6.1/rename-object-storage-bucket"},{"title":"Migrate Database (MySQL to RDS)","href":"/self-managed/v6.1/migrate-database-mysql-to-rds"},{"title":"AWS Access Requirements","href":"/self-managed/v6.1/aws-required-permissions"},{"title":"Install System (Amazon Linux 2023 Or Rocky 8/9)","href":"/self-managed/v6.1/install-system-amazon-linux-2023-or-rocky-8-9"}]},{"group":"System Configuration","pages":[{"title":"Enable/Disable Features","href":"/self-managed/v6.1/enable-features"},{"group":"Language Models","pages":[{"title":"Language Models","sidebarTitle":"Overview","href":"/self-managed/v6.1/v2-language-models"},{"title":"Configuring GPU Worker Counts In LILT","href":"/self-managed/v6.1/configuring-gpu-worker-counts-in-lilt"},{"title":"Self-Managed Hardware Requirements","href":"/self-managed/v6.1/self-managed-hardware-requirements"}]},{"title":"Syncing Language Data","href":"/self-managed/v6.1/sync-language-data"},{"title":"Resource Metrics","href":"/self-managed/v6.1/resource-metrics"},{"title":"Generate Evaluation Metrics (WPA, BLEU)","href":"/self-managed/v6.1/generate-evaluation-metrics-wpa-bleu"},{"title":"Single Sign On (SSO) For Self-Managed","href":"/self-managed/v6.1/single-sign-on-sso"},{"title":"Set Custom Domain And Certificates","href":"/self-managed/v6.1/set-custom-domain-and-certificates"},{"title":"Using S3 instead of MinIO","href":"/self-managed/v6.1/using-s3-instead-of-minio"},{"title":"Trusting a Custom CA for S3 Storage","href":"/self-managed/v6.1/custom-ca-for-s3"},{"title":"Using Amazon RDS Instead of Local MySQL","href":"/self-managed/v6.1/using-rds-instead-of-mysql"},{"title":"Dataflow Analytics Pipeline","href":"/self-managed/v6.1/dataflow-analytics"},{"title":"Configuring the Internal OCR Provider","href":"/self-managed/v6.1/configuring-internal-ocr-provider"},{"title":"SMTP Email Notifications","href":"/self-managed/v6.1/smtp-email-notifications"},{"title":"Scheduling Maintenance-Window Banners","href":"/self-managed/v6.1/maintenance-windows"},{"title":"Enable Incompatible Browsers","href":"/self-managed/v6.1/enable-incompatible-browsers"},{"title":"Create User/Organization","href":"/self-managed/v6.1/create-user-organization"},{"title":"Custom Role For Instant Translate","href":"/self-managed/v6.1/custom-role-for-instant-translate"},{"title":"Migrate Flannel To Calico","href":"/self-managed/v6.1/migrate-flannel-to-calico"},{"title":"Node Labels","href":"/self-managed/v6.1/node-labels"},{"title":"SRX Upload Documentation","href":"/self-managed/v6.1/srx-upload-documentation"},{"title":"User Domains Documentation","href":"/self-managed/v6.1/user-domains-documentation"},{"title":"Create ImagePullSecrets","href":"/self-managed/v6.1/create-imagepullsecrets"},{"group":"Connectors","pages":[{"title":"Connectors","sidebarTitle":"Overview","href":"/kb/connectors"},{"title":"Connector Login Credentials","href":"/self-managed/v6.1/connector-login-credentials"},{"title":"OneDrive Configuration","href":"/self-managed/v6.1/onedrive-configuration"}]}]},{"title":"Troubleshooting","href":"/self-managed/v6.1/deleting"}]},{"group":"System Use","pages":[{"group":"Project Management","pages":[{"title":"Navigation In The Platform","href":"/self-managed/v6.1/new-navigation-in-the-lilt-platform"},{"title":"Creating Jobs","href":"/self-managed/v6.1/creating-jobs"},{"title":"Navigating The Jobs Page","href":"/kb/navigating-the-jobs-list"},{"title":"Navigating The Projects List","href":"/kb/navigating-the-projects-list"},{"title":"Project View","href":"/kb/project-view"},{"title":"Project Delivery","href":"/kb/project-delivery"},{"title":"Project Settings","href":"/kb/project-settings"},{"title":"Project Custom Properties","href":"/kb/project-custom-properties"},{"title":"Reference Materials","href":"/kb/reference-materials"},{"title":"Document Actions","href":"/kb/document-actions"},{"title":"Bulk Document Actions","href":"/kb/bulk-document-actions"},{"title":"Accepting Document Assignments","href":"/kb/accepting-document-assignments"},{"title":"Setting Deadlines","href":"/kb/due-dates-for-jobs-projects-documents"},{"title":"Review Sampling","href":"/kb/review-sampling"},{"title":"Mandatory Batch QA","href":"/kb/mandatory-batch-qa-check"},{"title":"Project Manager Guide","href":"/kb/lilt-translate-guide-for-project-managers"},{"title":"Image File Translation","href":"/self-managed/v6.1/image-file-translation-self-managed"},{"title":"Linguist Homepage","href":"/kb/lilt-linguist-homepage"},{"title":"Workflows","href":"/kb/lilt-workflows"}]},{"group":"Translate","pages":[{"title":"Introduction To LILT Translation","href":"/self-managed/v6.1/introduction-to-lilt-translation"},{"title":"Translating Documents","href":"/kb/translating-documents"},{"title":"Segment Comments and Error Flagging","href":"/kb/segment-comments"},{"title":"Segment State Indicators","href":"/kb/segment-state-indicators"},{"title":"Split \u0026 Merge Segments","href":"/kb/split-merge-segments"},{"title":"Tags \u0026 Formatting","href":"/kb/tags-formatting"},{"title":"Non-Translatables","href":"/kb/non-translatables"},{"title":"Bi-Directional Text Marks","href":"/kb/bi-directional-text-marks"},{"title":"Source Highlighting Tool","href":"/kb/source-highlighting-tool"},{"title":"Hotkeys","href":"/kb/hotkeys"},{"title":"Segment Context","href":"/kb/segment-context"},{"title":"Concordance","href":"/kb/concordance"},{"title":"Terminology","href":"/kb/terminology"},{"title":"Find \u0026 Replace","href":"/kb/find-replace"},{"title":"Document Navigation Tab","href":"/kb/document-navigation-tab"},{"title":"Preview mode","href":"/kb/monolingual-preview"},{"title":"Overwrite Confirmed Segments","href":"/kb/auto-propagation"},{"title":"Custom QA","href":"/self-managed/v6.1/custom-qa"},{"title":"AI Only User Role","href":"/kb/instant-translate-homepage"},{"title":"ICU Support","href":"/self-managed/v6.1/icu-support"}]},{"title":"Data Cleanup \u0026 Building Data Sources","href":"/self-managed/v6.1/data-cleanup-building-memories"},{"title":"Data Source/Terminology Management","href":"/self-managed/v6.1/memory-terminology-management"},{"group":"Manage","pages":[{"group":"Analytics","pages":[{"title":"Job Stats","href":"/kb/job-stats"},{"title":"Analytics","href":"/kb/lilt-analytics-v2"},{"title":"Revision Reports","href":"/kb/how-to-read-revision-reports"},{"title":"Volume and User Activity","href":"/self-managed/v6.1/volume-and-user-activity"}]},{"title":"Organization Settings","href":"/kb/organization-settings"},{"title":"Feature Flag Reference","href":"/kb/feature-flags"},{"title":"File Loaders","sidebarTitle":"Overview","href":"/kb/lilt-file-loaders"}]},{"group":"Create","pages":[{"title":"Create","sidebarTitle":"Overview","href":"/kb/lilt-create"}]}]},{"group":"Compliance","pages":[{"title":"Information Assurance (IA)","href":"/self-managed/v6.1/information-assurance-ia"},{"title":"Audit Logs","href":"/self-managed/v6.1/audit-logs"},{"title":"Brute Force Protection","href":"/self-managed/v6.1/brute-force-protection"},{"title":"Encryption And Access Control","href":"/self-managed/v6.1/encryption-and-access-control"}]},{"group":"Quick User Guides","pages":[{"title":"Quick Start Guide","href":"/self-managed/v6.1/quick-start-guide-w-videos"},{"title":"Manage Memory and Termbase","href":"/self-managed/v6.1/manage-memory-and-termbase"}]}]}]}]},{"tab":"API Reference","groups":[{"group":"Docs","pages":[{"title":"Introduction","href":"/developers/introduction"},{"title":"Quickstart","href":"/developers/quickstart"},{"group":"Guides","pages":[{"title":"Create Content","href":"/developers/guides/create-new-content"},{"title":"Connect Systems To Workflows","href":"/developers/guides/connect-systems-to-workflows"},{"title":"Webhooks","description":"Receive notifications when events occur in LILT","href":"/developers/guides/webhooks"},{"group":"Manage Content","pages":[{"title":"Create A Data Source","href":"/developers/guides/manage-content/create-a-datasource"},{"title":"Data Source Management","description":null,"href":"/developers/guides/manage-content/tm-query"}]},{"group":"Translate Content","pages":[{"title":"AI Translation","href":"/developers/guides/translate-content/instant-translate"},{"title":"Verified Translation","href":"/developers/guides/translate-content/verified-translation"}]},{"group":"Upload Files","pages":[{"title":"Cloud Upload API Documentation","href":"/developers/guides/upload/file-upload"}]},{"title":"API Rate Limits","href":"/developers/guides/rate-limits"}]}]},{"group":"API Reference","pages":[{"group":"Languages","pages":[{"title":"Retrieve supported languages","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/languages","href":"/api-reference/languages/retrieve-supported-languages"}]},{"group":"Memories","pages":[{"title":"Retrieve a Memory","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/memories","href":"/api-reference/memories/retrieve-a-memory"},{"title":"Update the name of a Memory","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml put /v2/memories","href":"/api-reference/memories/update-the-name-of-a-memory"},{"title":"Create a Memory","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/memories","href":"/api-reference/memories/create-a-memory"},{"title":"Delete a Memory","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml delete /v2/memories","href":"/api-reference/memories/delete-a-memory"},{"title":"Query a Memory","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/memories/query","href":"/api-reference/memories/query-a-memory"},{"title":"File import for a Memory","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/memories/import","href":"/api-reference/memories/file-import-for-a-memory"},{"title":"Termbase export for a Memory","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/memories/termbase/export","href":"/api-reference/memories/termbase-export-for-a-memory"},{"title":"Termbase download for a Memory","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/memories/termbase/download","href":"/api-reference/memories/termbase-download-for-a-memory"},{"title":"Delete a segment from a memory.","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml delete /v2/memories/segment","href":"/api-reference/memories/delete-a-segment-from-a-memory"}]},{"group":"Segments","pages":[{"title":"Retrieve a Segment","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/segments","href":"/api-reference/segments/retrieve-a-segment"},{"title":"Update a Segment","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml put /v2/segments","href":"/api-reference/segments/update-a-segment"},{"title":"Create a Segment","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/segments","href":"/api-reference/segments/create-a-segment"},{"title":"Delete a Segment","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml delete /v2/segments","href":"/api-reference/segments/delete-a-segment"},{"title":"Unaccept and unlock segments","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/segments/review/unlock","href":"/api-reference/segments/unaccept-and-unlock-segments"},{"title":"Tag a Segment","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/segments/tag","href":"/api-reference/segments/tag-a-segment"}]},{"group":"Translate","pages":[{"title":"Translate a segment","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/translate","href":"/api-reference/translate/translate-a-segment"},{"title":"Translate a segment","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/translate","href":"/api-reference/translate/translate-a-segment-1"},{"title":"Monitor file translation","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/translate/file","href":"/api-reference/translate/monitor-file-translation"},{"title":"Translate a File","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/translate/file","href":"/api-reference/translate/translate-a-file"},{"title":"Download translated file","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/translate/files","href":"/api-reference/translate/download-translated-file"}]},{"group":"Create","pages":[{"title":"Get Lilt Create content","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/create","href":"/api-reference/create/get-lilt-create-content"},{"title":"Generate new Lilt Create content","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/create","href":"/api-reference/create/generate-new-lilt-create-content"},{"title":"Get Lilt Create content by ID.","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/create/{contentId}","href":"/api-reference/create/get-lilt-create-content-by-id"},{"title":"Update Lilt Create content","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml put /v2/create/{contentId}","href":"/api-reference/create/update-lilt-create-content"},{"title":"Delete Lilt Create content","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml delete /v2/create/{contentId}","href":"/api-reference/create/delete-lilt-create-content"}]},{"group":"Workflows","pages":[{"title":"Retrieve workflow templates","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/workflows/templates","href":"/api-reference/workflows/retrieve-workflow-templates"}]},{"group":"Jobs","pages":[{"title":"Retrieve all Jobs","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/jobs","href":"/api-reference/jobs/retrieve-all-jobs"},{"title":"Create a Job","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/jobs","href":"/api-reference/jobs/create-a-job"},{"title":"Retrieve a Job","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/jobs/{jobId}","href":"/api-reference/jobs/retrieve-a-job"},{"title":"Update a Job","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml put /v2/jobs/{jobId}","href":"/api-reference/jobs/update-a-job"},{"title":"Delete a Job","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml delete /v2/jobs/{jobId}","href":"/api-reference/jobs/delete-a-job"},{"title":"Retrieve Job Leverage Stats","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/jobs/{jobId}/stats","href":"/api-reference/jobs/retrieve-job-leverage-stats"},{"title":"Archive a Job","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/jobs/{jobId}/archive","href":"/api-reference/jobs/archive-a-job"},{"title":"Unarchive a Job","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/jobs/{jobId}/unarchive","href":"/api-reference/jobs/unarchive-a-job"},{"title":"Deliver a Job","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/jobs/{jobId}/deliver","href":"/api-reference/jobs/deliver-a-job"},{"title":"Reactivate a Job","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/jobs/{jobId}/reactivate","href":"/api-reference/jobs/reactivate-a-job"},{"title":"Export a Job","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/jobs/{jobId}/export","href":"/api-reference/jobs/export-a-job"},{"title":"Download a Job","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/jobs/{jobId}/download","href":"/api-reference/jobs/download-a-job"}]},{"group":"Projects","pages":[{"title":"Retrieve a Project","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/projects","href":"/api-reference/projects/retrieve-a-project"},{"title":"Create a Project","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/projects","href":"/api-reference/projects/create-a-project"},{"title":"Delete a Project","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml delete /v2/projects","href":"/api-reference/projects/delete-a-project"}]},{"group":"Documents","pages":[{"title":"Download a Document","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/documents/files","href":"/api-reference/documents/download-a-document"},{"title":"Upload a File","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/documents/files","href":"/api-reference/documents/upload-a-file"},{"title":"Pretranslate Documents","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/documents/pretranslate","href":"/api-reference/documents/pretranslate-documents"}]},{"group":"Files","pages":[{"title":"Retrieve a File","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/files","href":"/api-reference/files/retrieve-a-file"},{"title":"Upload a File","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/files","href":"/api-reference/files/upload-a-file"},{"title":"Delete a File","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml delete /v2/files","href":"/api-reference/files/delete-a-file"},{"title":"Download file","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/files/download","href":"/api-reference/files/download-file"},{"title":"Add Label to File","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/files/labels","href":"/api-reference/files/add-label-to-file"},{"title":"Remove Label from File","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml delete /v2/files/labels","href":"/api-reference/files/remove-label-from-file"}]},{"group":"Uploads","pages":[{"title":"Get All Pending Uploads or specific list of uploads by ids or statuses","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/upload","href":"/api-reference/uploads/get-all-pending-uploads-or-specific-list-of-uploads-by-ids-or-statuses"},{"title":"Get Upload by ID","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/upload/{uploadId}","href":"/api-reference/uploads/get-upload-by-id"},{"title":"Get S3 Upload Parameters","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/upload/s3/params","href":"/api-reference/uploads/get-s3-upload-parameters"},{"title":"Initiate File Upload to Cloud Storage","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/upload/s3/params","href":"/api-reference/uploads/initiate-file-upload-to-cloud-storage"},{"title":"Initiate Multipart Upload","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/upload/s3/multipart","href":"/api-reference/uploads/initiate-multipart-upload"},{"title":"Complete Multipart Upload","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/upload/s3/multipart/{uploadId}/complete","href":"/api-reference/uploads/complete-multipart-upload"},{"title":"Sign Upload Part","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/upload/s3/multipart/{uploadId}/{partNumber}","href":"/api-reference/uploads/sign-upload-part"},{"title":"Cancel Multipart Upload","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml delete /v2/upload/s3/multipart/{uploadId}","href":"/api-reference/uploads/cancel-multipart-upload"}]},{"group":"Webhook Configuration","pages":[{"title":"Retrieve a list of Webhook Configurations.","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v3/connectors/configuration/webhooks","href":"/api-reference/webhook-configuration/retrieve-a-list-of-webhook-configurations"},{"title":"Creates a new Webhook Configuration","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v3/connectors/configuration/webhooks","href":"/api-reference/webhook-configuration/creates-a-new-webhook-configuration"},{"title":"Retrieve a specific Webhook Configuration by ID.","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v3/connectors/configuration/webhooks/{id}","href":"/api-reference/webhook-configuration/retrieve-a-specific-webhook-configuration-by-id"},{"title":"Update a specific Webhook Configuration by ID.","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml put /v3/connectors/configuration/webhooks/{id}","href":"/api-reference/webhook-configuration/update-a-specific-webhook-configuration-by-id"},{"title":"Delete a specific Webhook Configuration by ID.","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml delete /v3/connectors/configuration/webhooks/{id}","href":"/api-reference/webhook-configuration/delete-a-specific-webhook-configuration-by-id"}]},{"group":"Domains","pages":[{"title":"Retrieve Domains","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v3/domains","href":"/api-reference/domains/retrieve-domains"}]},{"group":"API Keys","pages":[{"title":"List API keys","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/api-keys","href":"/api-reference/api-keys/list-api-keys"},{"title":"Create an API key","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/api-keys","href":"/api-reference/api-keys/create-an-api-key"},{"title":"Get an API key","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml get /v2/api-keys/{id}","href":"/api-reference/api-keys/get-an-api-key"},{"title":"Revoke an API key","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml delete /v2/api-keys/{id}","href":"/api-reference/api-keys/revoke-an-api-key"},{"title":"Rotate an API key","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml post /v2/api-keys/{id}/rotate","href":"/api-reference/api-keys/rotate-an-api-key"},{"title":"Remove an API key from listings","deprecated":null,"version":null,"openapi":"/api-reference/openapi-bundled.yaml delete /v2/api-keys/{id}/permanent","href":"/api-reference/api-keys/remove-an-api-key-from-listings"}]}]}]}]},"basePath":"","title":"Create A Data Source - LILT","buildId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","deploymentId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","dynamics":[],"chunks":[]}